Subject: [tsvwg] [Errata Held for Document Update] RFC6458 (6113)

From: RFC Errata System <[email-masked]>
Date: Mon, 27 Apr 2020 15:24:49 -0700 (PDT)

The following errata report has been held for document update 
for RFC6458, "Sockets API Extensions for the Stream Control Transmission Protocol (SCTP)". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6113

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Michael Tuexen <[email-masked]>
Date Reported: 2020-04-20
Held by: Martin Duke (IESG)

Section: 6.1.1

Original Text
-------------
sac_info:  If sac_state is SCTP_COMM_LOST and an ABORT chunk was
      received for this association, sac_info[] contains the complete
      ABORT chunk as defined in Section 3.3.7 of the SCTP specification
      [RFC4960].

Corrected Text
--------------
sac_info:  If sac_state is SCTP_COMM_LOST or SCTP_CANT_STR_ASSOC and
      an ABORT chunk was received for this association, sac_info[]
      contains the complete ABORT chunk as defined in Section 3.3.7
      of the SCTP specification [RFC4960].

Notes
-----
During association setup, SCTP_CANT_STR_ASSOC is signalled when an ABORT chunk is received. SCTP_COMM_LOST is used after the association has been established.

--------------------------------------
RFC6458 (draft-ietf-tsvwg-sctpsocket-32)
--------------------------------------
Title               : Sockets API Extensions for the Stream Control Transmission Protocol (SCTP)
Publication Date    : December 2011
Author(s)           : R. Stewart, M. Tuexen, K. Poon, P. Lei, V. Yasevich
Category            : INFORMATIONAL
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG